<?php

namespace Ulmus\Ldap\Entity;

use Ulmus\Ldap\Entity\Field\{ Datetime };

use Ulmus\Attribute\Property\Field;

use Ulmus\Ldap\Attribute\Obj\ObjectClass;

#[ObjectClass("organizationalUnit")]
class OrganizationalUnit
{
    use \Ulmus\Ldap\EntityTrait;

    #[Field\Id]
    public string $ou;

    #[Field]
    public string $description;

    #[Field(name: "st")]
    public string $state;

    #[Field(name: "physicalDeliveryOfficeName")]
    public string $officeName;

    #[Field(name: "postalAddress")]
    public string $address;

    #[Field]
    public string $postalCode;

    #[Field]
    public string $telephoneNumber;

    #[Field(name: "objectGUID")]
    public string $guid;

    public function __toString() : string
    {
        return $this->ou;
    }
}